--------------------------------------------------------------------------
--  DLX PROCESSOR MODEL SUITE
--  Copyright (C) 1995, Martin Gumm
--  University of Stuttgart / Department of Computer Science / IPVR-ISE
--------------------------------------------------------------------------
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 1, or (at your option)
--  any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--------------------------------------------------------------------------
--  Last revision date : November 15 1995
--------------------------------------------------------------------------

--------------------------------------------------------------------------
--  *** SYNOPSYS synthesizable code (ver. 3.2.a) ***
--------------------------------------------------------------------------

--------------------------------------------------------------------------
--  Dataflow descrition of the 4-to-1-muxoder
--  
--  (file mux_4_1-behaviour.vhd)
--------------------------------------------------------------------------

architecture behaviour of mux_4_1 is

begin 

  mux : process (mux_in, mux_sel)
  begin
    case mux_sel is
      when "00" => mux_out <= mux_in(0) after tpd_mux;
      when "01" => mux_out <= mux_in(1) after tpd_mux;
      when "10" => mux_out <= mux_in(2) after tpd_mux;
      when "11" => mux_out <= mux_in(3) after tpd_mux;
      when others  => mux_out <= 'X' after tpd_mux; 
    end case;	
  end process mux;

end behaviour;



